com.lowagie.text.pdf

## Class OcspClientBouncyCastle

- java.lang.Object
- - com.lowagie.text.pdf.OcspClientBouncyCastle

All Implemented Interfaces:
  OcspClient

    public class OcspClientBouncyCastle
    extends java.lang.Object
    implements OcspClient

OcspClient implementation using BouncyCastle.

Since:
  2.1.6
Author:
  psoares

### Field Summary

Fields
`private java.security.cert.X509Certificate` `checkCert` check certificate
`private java.security.cert.X509Certificate` `rootCert` root certificate
`private java.lang.String` `url` OCSP URL

### Constructor Summary

Constructors
Constructor and Description
`OcspClientBouncyCastle(java.security.cert.X509Certificate checkCert, java.security.cert.X509Certificate rootCert, java.lang.String url)` Creates an instance of an OcspClient that will be using BouncyCastle.

### Method Summary

Methods
`private static OCSPReq` `generateOCSPRequest(java.security.cert.X509Certificate issuerCert, java.math.BigInteger serialNumber)` Generates an OCSP request using BouncyCastle.
`byte[]` `getEncoded()` Gets an encoded byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rootCert

    private java.security.cert.X509Certificate rootCert

root certificate

#### checkCert

    private java.security.cert.X509Certificate checkCert

check certificate

#### url

    private java.lang.String url

OCSP URL

### Constructor Detail

#### OcspClientBouncyCastle

    public OcspClientBouncyCastle(java.security.cert.X509Certificate checkCert,
                          java.security.cert.X509Certificate rootCert,
                          java.lang.String url)

Creates an instance of an OcspClient that will be using BouncyCastle.

Parameters:
  `checkCert` - the check certificate
  `rootCert` - the root certificate
  `url` - the OCSP URL

### Method Detail

#### generateOCSPRequest

    private static OCSPReq generateOCSPRequest(java.security.cert.X509Certificate issuerCert,
                              java.math.BigInteger serialNumber)
                                        throws OCSPException,
                                               java.io.IOException

Generates an OCSP request using BouncyCastle.

Parameters:
  `issuerCert` - certificate of the issues
  `serialNumber` - serial number
Returns:
  an OCSP request
Throws:
  `OCSPException`
  `java.io.IOException`

#### getEncoded

    public byte[] getEncoded()

Description copied from interface: `OcspClient`
Gets an encoded byte array.

Specified by:
  `getEncoded` in interface `OcspClient`
Returns:
  a byte array
See Also:
  `OcspClient.getEncoded()`